× NETGEAR will be terminating ReadyCLOUD service by July 1st, 2023. For more details click here.
Orbi WiFi 7 RBE973
Reply

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Gaisgais13
Initiate

ERR_SSL_VERSION_OR_CIPHER_MISMATCH

How can I solve this error??

Message 1 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

  1. What ReadyNAS model do you have?
  2. What firmware are you running?
  3. What browser are you using?

 

 

Message 2 of 18
Gaisgais13
Initiate

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Hi Stephen

An old ReadyNAS DUO RDNU2000

FW: V4.2.15

Chrome or Edge

Rgs

Message 3 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@Gaisgais13 wrote:

FW: V4.2.15

 


Actually it's not a Duo - looks like it is an Ultra 2.

 

You need to upgrade the firmware to 4.2.31:  https://kb.netgear.com/000038793/RAIDiator-x86-Version-4-2-31

 

The problem is that you need to get into frontview to do that.  Have you tried IE?

 

If a current browser won't do it, you can download an old version of firefox temporarily - which should connect.

 

 

FWIW, this NAS can be converted to run OS-6 if you like.

Message 4 of 18
muzicman61
Tutor

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Just had a power outage and when the power came back on, I'm unable to log into My Duo and my NV+.  I can get in with Internet Explorer.  I am running RADiator 4.1.16 on both units.  

 

I have no issues with my RN104.  Is there a solution for DUO and NV+?

 

Thanks,

Rob

Message 5 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@muzicman61 wrote:

Is there a solution for DUO and NV+?


The solution for now is to use internet explorer (which as you found, will let you connect).  Another option is to download the old version of Firefox from https://support.mozilla.org/en-US/kb/install-older-version-firefox  If you go this route, make sure you immediately change the browser settings to disallow automatic update.

 

The browser problem isn't linked to the power outage.  The 4.1.x systems use TLS 1.0.  The browsers very recently deprecated both TLS 1.0 and TLS 1.1.  So they will no longer connect to the Frontview.

 

Just to double-check:  Are you able to access the shares with File Explorer/Finder?

Message 6 of 18
muzicman61
Tutor

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Thanks.  Didn't think it had anything to do with the power outage, that's just when I happen to notice the issue.  Both Readynas shut down gracefully from the UPS.  Not sure when the browser update was done and yes, I can access all the shares.

 

Sucks I will be forced to use IE or Firefox to access Frontview now.

Message 7 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@muzicman61 wrote:

Sucks I will be forced to use IE or Firefox to access Frontview now.


There are a couple of options.  Someone is looking at building a patch that would add TLS 1.2 support. 

 

Another approach is to change the apache configuration to remove https altogether.  Then you'd need to use http://nas-ip-address/admin.  Obviously that wouldn't be safe for over-the-internet, but IMO would be fine for a home network.

 

So keep an eye on the forum, and see what develops.

Message 8 of 18
Nossaile
Aspirant

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

I have the same problem when trying to run Frontview/admin to my ReadyNas DUO:

  • Model= RND2000v2 and Firmware= RAIDiator 4.1.16 (=Sparc)
  • Running Windows 10 64bit and Brave v1.35.103

(Thanks to your tip about using IE and bypass its security I can access Frontview/admin as a temporary solution.)

Looking at your download site the latest firmware for RND2000v2 is RAIDiator 5.3.13 (arm). I suppose the TLS-problem is fixed in v5.3.13, but unfortunately the current RAIDiator does not accept to download/verify it. Advice appreciated.

Model: RND2000v2|ReadyNAS Duo v2 Chassis only
Message 9 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@Nossaile wrote:

I have the same problem when trying to run Frontview/admin to my ReadyNas DUO:

  • Model= RND2000v2 and Firmware= RAIDiator 4.1.16 (=Sparc)

Looking at your download site the latest firmware for RND2000v2 is RAIDiator 5.3.13 (arm). I suppose the TLS-problem is fixed in v5.3.13, but unfortunately the current RAIDiator does not accept to download/verify it. Advice appreciated.


You actually have the original Duo - called a v1 here.  The part numbers can be confusing - technically you have hardware revision 2 of the Duo v1.  The 4.1.x (original) Duos cannot run 5.3 firmware.

 

If you are ok using ssh, there is another option for your NAS - which is to eliminate the redirect of http to https for frontview access.  This lets you connect to frontview with ordinary http (no encryption at all) - which works with Chrome, Edge, etc - and likely Brave.  More information on that is here: https://community.netgear.com/t5/New-ReadyNAS-Users-General/Workaround-for-ERR-SSL-VERSION-OR-CIPHER...

Message 10 of 18
SamirD
Prodigy

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

The http solution is what I would use if you're only accessing it locally (or over a secure tunnel)--then you really don't need https since no one should be sniffing your network.

 

Message 11 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@SamirD wrote:

The http solution is what I would use if you're only accessing it locally (or over a secure tunnel)--then you really don't need https since no one should be sniffing your network.

 


Totally agree. 

Message 12 of 18
lksndrs
Aspirant

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Actually my device is a ReadyNAS DUO RND2150 with 2 hard disk 500GB.

I've also got the problem ERR_SSL_VERSION_OR_CIPHER_MISMATCH when trying to access the device front panel RAIDiator 4.1.14. I managed to access it with an old browser. Can you explain how to fix the problem? If I need to update firmware where do I find it and how do install it? Thank you for your help.

Model: RND2150|ReadyNAS Duo 500GB (1 X 500GB)
Message 13 of 18
Sandshark
Sensei

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Go to the link provided above.

Message 14 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@lksndrs wrote:

Actually my device is a ReadyNAS DUO RND2150 with 2 hard disk 500GB.

I've also got the problem ERR_SSL_VERSION_OR_CIPHER_MISMATCH when trying to access the device front panel RAIDiator 4.1.14. I managed to access it with an old browser. Can you explain how to fix the problem? If I need to update firmware where do I find it and how do install it? Thank you for your help.


https://community.netgear.com/t5/New-ReadyNAS-Users-General/Workaround-for-ERR-SSL-VERSION-OR-CIPHER...

Message 15 of 18
rudibelt
Aspirant

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

Just solved in for my ReadyNAS DUO V1(Sparc). Edit the /etc/frontview/apache/Virtual.conf:

Change the line:

RewriteRule ^/(.*)$ https://%{SERVER_NAME}/$1 [R,L]

to

RewriteRule ^/(.*)$ http://%{SERVER_NAME}/$1 [R,L]

restart apache: 

apache-ssl -f /etc/frontview/apache/httpd.conf -k restart

 

Frontview is now reachable in http!

Message 16 of 18
StephenB
Guru

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH


@rudibelt wrote:

Just solved in for my ReadyNAS DUO V1(Sparc). Edit the /etc/frontview/apache/Virtual.conf:

Change the line:

RewriteRule ^/(.*)$ https://%{SERVER_NAME}/$1 [R,L]

to

RewriteRule ^/(.*)$ http://%{SERVER_NAME}/$1 [R,L]

restart apache: 

apache-ssl -f /etc/frontview/apache/httpd.conf -k restart

 

Frontview is now reachable in http!


Just commenting it out works too.

 

https://community.netgear.com/t5/New-ReadyNAS-Users-General/Workaround-for-ERR-SSL-VERSION-OR-CIPHER...

Message 17 of 18
rudibelt
Aspirant

Re: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

sorry, missed that one

Message 18 of 18
Top Contributors
Discussion stats
  • 17 replies
  • 21188 views
  • 5 kudos
  • 8 in conversation
Announcements